cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/books/settings/proximity-precision' \
-H 'Authorization: Bearer API_KEY'client.index('books').getProximityPrecision()$client->index('books')->getProximityPrecision();client.index('books').get_proximity_precision()client.index("books").getProximityPrecisionSettings();client.index('books').proximity_precisionclient.Index("books").GetProximityPrecision()await client.Index("books").GetProximityPrecisionAsync();let proximity_precision: String = client
.index("books")
.get_proximity_precision()
.await
.unwrap();let precisionValue = try await self.client.index("books").getProximityPrecision()"byWord"{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Proximity precision
Get proximityPrecision
Returns the current value of the proximityPrecision setting for the index.
GET
/
indexes
/
{index_uid}
/
settings
/
proximity-precision
cURL
curl \
-X GET 'MEILISEARCH_URL/indexes/books/settings/proximity-precision' \
-H 'Authorization: Bearer API_KEY'client.index('books').getProximityPrecision()$client->index('books')->getProximityPrecision();client.index('books').get_proximity_precision()client.index("books").getProximityPrecisionSettings();client.index('books').proximity_precisionclient.Index("books").GetProximityPrecision()await client.Index("books").GetProximityPrecisionAsync();let proximity_precision: String = client
.index("books")
.get_proximity_precision()
.await
.unwrap();let precisionValue = try await self.client.index("books").getProximityPrecision()"byWord"{
"message": "The Authorization header is missing. It must use the bearer authorization method.",
"code": "missing_authorization_header",
"type": "auth",
"link": "https://docs.meilisearch.com/errors#missing_authorization_header"
}{
"message": "Index `movies` not found.",
"code": "index_not_found",
"type": "invalid_request",
"link": "https://docs.meilisearch.com/errors#index_not_found"
}Authorizations
An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'
If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({ host: 'MEILISEARCH_URL', apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1' });
Path Parameters
Unique identifier of the index.
Response
Returns the current value of the proximityPrecision setting.
The response is of type enum<string>.
Available options:
byWord, byAttribute Was this page helpful?